
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle

/**
 * @Author: XuJiakai
 * @Date: 2020/7/9 16:44
 * @Description:
 */


case class company(equCols: Seq[String]) extends CompanyChangeHandle with Serializable {
  override def getCid(rowkey: String, newMap: Map[String, String]): String = rowkey

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = "1"

  override def getBizTime(newMap: Map[String, String]): String = newMap("update_time")

  override def getUpdateTitle(newMap: Map[String, String]): String = "更新一家公司"

  override def getInsertTitle(newMap: Map[String, String]): String = "新增一家公司"
}
