package com.winhc.bigdata.spark.utils

/**
 * @Author: XuJiakai
 * @Date: 2020/7/27 17:01
 * @Description:
 */
object ReflectUtils {
  def getClazz[T](clazzName: String, initargs: Any*): T = {
    Class.forName(clazzName)
      .getConstructors.head.newInstance(initargs.asInstanceOf[Seq[Object]]: _*)
      .asInstanceOf[T]
  }
}
