package com.winhc.bigdata.spark.const

/**
 * @Author: XuJiakai
 * @Date: 2020/7/16 10:48
 * @Description:
 */
object CaseChanceConst {
  //九大类type
  val TABLE_2_TYPE = Map(
    "" -> "1"
    , "" -> "2"
    , "company_bid_list" -> "3"
    , "company_land_transfer" -> "3"
    , "company_tm" -> "3"
    , "company_patent_list" -> "3"
    , "company_certificate" -> "3"
    , "company_copyright_works_list" -> "3"
    , "company_copyright_reg_list" -> "3"
    , "company_employment" -> "3"
    , "company_land_announcement" -> "3"
    , "company_land_publicity" -> "3"
    , "" -> "4"
  )


  //利好消息祥细type
  val CHANCE_DYNAMIC_TYPE = Map(
    /*"" -> "3-1" //企业增资
    , "" -> "3-2" //企业新增对外投资
    , "company_bid_list" -> "3-3" //新增招投标
    , "" -> "3-4" //新增招聘
    , "" -> "3-5" //地块公示
    , "" -> "3-6" //购地信息
    , "company_land_transfer" -> "3-7" //土地转让
    ,*/
    "company_bid_list" -> "3" //新增招投标
    , "company_employment" -> "4" //新增招聘
    , "company_land_publicity" -> "5" //地块公示
    , "company_land_announcement" -> "6" //购地信息
    , "company_land_transfer" -> "7" //土地转让
    , "company_tm" -> "8" //知识产权-商标
    , "company_patent_list" -> "9" //专利
    , "company_certificate" -> "10" //资质证书   X
    , "company_copyright_works_list" -> "11" //作品著作权
    , "company_copyright_reg_list" -> "12" //软件著作权
  )
}
