package com.winhc.bigdata.spark.jobs

import com.winhc.bigdata.spark.utils.{CompanyIncrForCidUtils, SparkUtils}
import org.apache.spark.sql.SparkSession

import scala.collection.mutable

/**
 * 增量数据更新
 * π
 */

object CompanyIncrForCid {

  //winhc_eci_dev company_icp liscense,domain,new_cid
  //winhc_eci_dev company_app_info icon_oss_path,brief,name,new_cid
  //winhc_eci_dev ads_company_tm app_date,tm_name,reg_no,new_cid
  //winhc_eci_dev company_wechat title,public_num,new_cid

  //  winhc_eci_dev company_license license_number,new_cid
  //  winhc_eci_dev company_license_creditchina licence_number,new_cid
  //  winhc_eci_dev company_license_entpub license_number,new_cid
  // winhc_eci_dev company_change new_cid,change_item,change_time
  // winhc_eci_dev company_illegal_info new_cid,put_reason,put_date,put_department
  //  winhc_eci_dev company_finance new_cid,round,money
  // winhc_eci_dev company_dishonest_info new_cid,case_no
  def main(args: Array[String]): Unit = {
    val Array(project, tableName, dupliCols) = args
    println(
      s"""
         |$project
         |$tableName
         |$dupliCols
         |""".stripMargin)
    val config = mutable.Map(
      "spark.hadoop.odps.project.name" -> "winhc_eci_dev",
      "spark.hadoop.odps.spark.local.partition.amt" -> "10"
    )
    val spark: SparkSession = SparkUtils.InitEnv(this.getClass.getSimpleName, config)
    CompanyIncrForCidUtils(spark, project, tableName, (dupliCols.split(",").toSeq)).calc()
    spark.stop()
  }

}
