package com.winhc.bigdata.spark.jobs.dynamic

import cn.hutool.crypto.SecureUtil
import com.winhc.bigdata.spark.utils.DateUtils

/**
 * @Author: XuJiakai
 * @Date: 2020/8/11 14:15
 * @Description:
 */
object CompanyDynamicHandleUtils {
  def getDynamicId(cid: String, rta_desc: String, biz_id: String, change_time: String): String = {
    s"$cid-${SecureUtil.md5(rta_desc + biz_id)}-${DateUtils.toUnixTimestamp(date = change_time)}"
  }
}
